Bug 73608 - rpc.rquotad starts with nfs but then dies (rest of NFS unaffected)
rpc.rquotad starts with nfs but then dies (rest of NFS unaffected)
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
:
Depends On:
Blocks: 90939
  Show dependency treegraph
 
Reported: 2002-09-06 13:15 EDT by Michael Dunlap
Modified: 2007-04-18 12:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Dunlap 2002-09-06 13:15:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux sparc64; en-US; rv:0.9.9) Gecko/20020701

Description of problem:
Issuing the command /etc/init.d/nfs start will start several pieces of NFS
including rpc.rquotad.  This component dies shortly after starting.

If root starts rpc.rquotad independently of the nfs init script it remains active.

The upshot is that unless root starts rpc.rquotad, no users on the NFS client
can see their quotas by typing "quota".

Version-Release number of selected component (if applicable):
quota-3.03-1


How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/nfs start
2.ps -aux |grep rpc.rquotad
	

Additional info:
Comment 1 Need Real Name 2002-11-04 10:21:51 EST
I encountered the same problem, plus quotas not working on  NFS mounts.
Everything seems to be fixed in the latest quota-tools 3.07
dated 03 september 2002 from sourceforge.net
http://sourceforge.net/projects/linuxquota/
I am an happy usr of quotas now ;-)
Hope this help.
Comment 2 Michael Dunlap 2002-11-05 09:11:44 EST
Thanks for the info - I built the quota package from source and now the problem
is solved.

Red Hat techs - it's trivial to build this update - I built an rpm using the
quota spec from your 3.03-1 srpm and the new source.  Minor tweaks needed to the
spec but I had a working rpm in 15 minutes.  This isn't a horrible bug but it's
irritating to those of us who make use of quotas over nfs.  Make an official RH
rpm update for this please?
Comment 3 Petri T. Koistinen 2003-05-17 18:00:55 EDT
New quota bug #90939 might be interesting. Maybe both could be addressed with
same errata.
Comment 4 Andreas Metzler 2003-06-25 12:05:30 EDT
This bug has been fixed with quota-3.06-9.7 as included in RHSA-2003:187-25.
Feel free to close it.
Comment 5 Bill Nottingham 2006-08-05 00:27:22 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2006-10-18 12:32:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.